// Environment code for project BinLu.mas2j

import jason.asSyntax.*;
import jason.environment.*;
import java.util.logging.*;

public class BinLuEnv extends jason.environment.Environment {

    private Logger logger = Logger.getLogger("BinLu.mas2j."+BinLuEnv.class.getName());

    /** Called before the MAS execution with the args informed in .mas2j */
    @Override
    public void init(String[] args) {
        addPercept("tamagotchi1",Literal.parseLiteral("myPlace(melbourne)"));
        addPercept("tamagotchi2",Literal.parseLiteral("myPlace(sydney)"));
        addPercept("tamagotchi1",Literal.parseLiteral("present(toy)"));
        addPercept("tamagotchi2",Literal.parseLiteral("present(chocolate)"));
    }

    @Override
    public boolean executeAction(String agName, Structure action) {
        logger.info("executing: "+action+", but not implemented!");
        return true;
    }


}

