//tamagochi1.asl


happyLevel(0).
myFriend(tamagotchi2).
myMaster(person).
!checkHappyLevel.
presentNumber(2).
presentList([toy,candy]).





//check own happy level
+!checkHappyLevel: happyLevel(M) & M <=20 
                 <- .print("I'm not happy!");
                    .my_name(I);
                    ?happyLevel(K);
                    ?myMaster(P);
                    .send(P,tell, unhappy(I,K)).

+!checkHappyLevel.

+visitFriend: true
            <-
              .print("Could I come to your place?");
              ?myFriend(Friend);
              .my_name(I);
              .send(Friend,tell, could_I_come_to_your_place(I)).

+please_come(P): true
            <-.print("Good day!");
              .my_name(I);
              ?myFriend(Friend);
              .send(Friend,tell, good_day(I)).

+hello(Friend): true
            <-!visit(Friend).


+!visit(P): presentNumber(M) & M >0 
          <-?presentList([H|T]);
            -+presentList(T);
            !givePresent(H).

+!visit(Friend): presentNumber(M) & M =0 
          <-!play(Friend).

+!givePresent(Present): true
          <- ?happyLevel(L);
             .print("Please accept my present,",Present,"!(",L,")");
             ?presentNumber(N);
             -+presentNumber(N -1 );
             -+happyLevel(L + 4);
             ?myFriend(Friend);
             .my_name(I);
             .send(Friend,tell,accept_my_present(I,Present)).


+!play(Friend): happyLevel(M) & M <=20 
      <-
        .print("May I play with you,",Friend,"?(",M,")"); 
        .my_name(I);
        .send(Friend,tell,play_with_me(I,M)).

+!play(Friend).

+thanks(Friend,Present): true
        <-!play(Friend).

+ok(Friend,M): happyLevel(M) & M <=20
     <- ?happyLevel(L);
        -+happyLevel(L + 2);
        !visit(Friend).
